## cockpit-podman 86

=== Makefile ===
# extract name from package.json
PACKAGE_NAME := $(shell awk '/"name":/ {gsub(/[",]/, "", $$2); print $$2}' package.json)
RPM_NAME := cockpit-$(PACKAGE_NAME)
VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
ifeq ($(TEST_OS),)
TEST_OS = fedora-39
endif
export TEST_OS
TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
NODE_CACHE=$(RPM_NAME)-node-$(VERSION).tar.xz
SPEC=$(RPM_NAME).spec
PREFIX ?= /usr/local
APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
# stamp file to check for node_modules/
NODE_MODULES_TEST=package-lock.json
# one example file in dist/ from bundler to check if that already ran
DIST_TEST=dist/manifest.json
# one example file in pkg/lib to check if it was already checked out
COCKPIT_REPO_STAMP=pkg/lib/cockpit-po-plugin.js
# common arguments for tar, mostly to make the generated tarballs reproducible
TAR_ARGS = --sort=name --mtime "@$(shell git show --no-patch --format='%at')" --mode=go=rX,u+rw,a-s --numeric-owner --owner=0 --group=0

VM_CUSTOMIZE_FLAGS =

# HACK: https://github.com/containers/podman/issues/21896
VM_CUSTOMIZE_FLAGS += --run-command 'nmcli con add type dummy con-name fake ifname fake0 ip4 1.2.3.4/24 gw4 1.2.3.1 >&2'

# the following scenarios need network access
ifeq ("$(TEST_SCENARIO)","updates-testing")
VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
else ifeq ("$(TEST_SCENARIO)","podman-next")
VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y copr enable rhcontainerbot/podman-next >&2; dnf -y update --repo "copr*" >&2'
else
# default scenario does not install packages
VM_CUSTOMIZE_FLAGS += --no-network
endif

ifeq ($(TEST_COVERAGE),yes)
RUN_TESTS_OPTIONS+=--coverage
NODE_ENV=development
endif

all: $(DIST_TEST)

# checkout common files from Cockpit repository required to build this project;
# this has no API stability guarantee, so check out a stable tag when you start
# a new project, use the latest release, and update it from time to time
COCKPIT_REPO_FILES = \
	pkg/lib \
	test/common \
	test/static-code \
	tools/node-modules \
	$(NULL)

COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
COCKPIT_REPO_COMMIT = b09a5e373afeb1cd35b0683602eae25fde92430b # 313 + 42 commits

$(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
$(COCKPIT_REPO_STAMP): Makefile
	@git rev-list --quiet --objects $(COCKPIT_REPO_TREE) -- 2>/dev/null || \
	    git fetch --no-tags --no-write-fetch-head --depth=1 $(COCKPIT_REPO_URL) $(COCKPIT_REPO_COMMIT)
	git archive $(COCKPIT_REPO_TREE) -- $(COCKPIT_REPO_FILES) | tar x

#
# i18n
#

LINGUAS=$(basename $(notdir $(wildcard po/*.po)))

po/$(PACKAGE_NAME).js.pot:
	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ --language=C --keyword= \
		--keyword=_:1,1t --keyword=_:1c,2,2t --keyword=C_:1c,2 \
		--keyword=N_ --keyword=NC_:1c,2 \
		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')

po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')

po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
	pkg/lib/manifest2po.js src/manifest.json -o $@

po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<

po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot po/$(PACKAGE_NAME).metainfo.pot
	msgcat --sort-output --output-file=$@ $^

po/LINGUAS:
	echo $(LINGUAS) | tr ' ' '\n' > $@

#
# Build/Install/dist
#
$(SPEC): packaging/$(SPEC).in $(NODE_MODULES_TEST)
	provides=$$(npm ls --omit dev --package-lock-only --depth=Infinity | grep -Eo '[^[:space:]]+@[^[:space:]]+' | sort -u | sed 's/^/Provides: bundled(npm(/; s/\(.*\)@/\1)) = /'); \
	awk -v p="$$provides" '{gsub(/%{VERSION}/, "$(VERSION)"); gsub(/%{NPM_PROVIDES}/, p)}1' $< > $@

packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
	sed 's/VERSION/$(VERSION)/; s/SOURCE/$(TARFILE)/' $< > $@

packaging/debian/changelog: packaging/debian/changelog.in
	sed 's/VERSION/$(VERSION)/' $< > $@

$(DIST_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json build.js
	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) ./build.js

watch: $(NODE_MODULES_TEST)
	NODE_ENV=$(NODE_ENV) ./build.js -w

clean:
	rm -rf dist/
	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	rm -f po/LINGUAS

install: $(DIST_TEST) po/LINGUAS
	mkdir -p $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
	cp -r dist/* $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)$(PREFIX)/share/metainfo/
	msgfmt --xml -d po \
		--template $(APPSTREAMFILE) \
		-o $(DESTDIR)$(PREFIX)/share/metainfo/$(APPSTREAMFILE)

# this requires a built source tree and avoids having to install anything system-wide
devel-install: $(DIST_TEST)
	mkdir -p ~/.local/share/cockpit
	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)

# assumes that there was symlink set up using the above devel-install target,
# and removes it
devel-uninstall:
	rm -f ~/.local/share/cockpit/$(PACKAGE_NAME)

print-version:
	@echo "$(VERSION)"

# required for running integration tests; commander and ws are deps of chrome-remote-interface
TEST_NPMS = \
       node_modules/chrome-remote-interface \
       node_modules/commander \
       node_modules/sizzle \
       node_modules/ws \
       $(NULL)

dist: $(TARFILE)
	@ls -1 $(TARFILE)

# when building a distribution tarball, call bundler with a 'production' environment by default
# we don't ship most node_modules for license and compactness reasons, only the ones necessary for running tests
# we ship a pre-built dist/ (so it's not necessary) and ship package-lock.json (so that node_modules/ can be reconstructed if necessary)
$(TARFILE): export NODE_ENV ?= production
$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
		--exclude '*.in' --exclude test/reference \
		$$(git ls-files | grep -v node_modules) \
		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
		packaging/arch/PKGBUILD packaging/debian/changelog dist/

# convenience target for developers
rpm: $(TARFILE)
	rpmbuild -tb --define "_topdir $(CURDIR)/tmp/rpmbuild" $(TARFILE)
	find tmp/rpmbuild -name '*.rpm' -printf '%f\n' -exec mv {} . \;
	rm -r tmp/rpmbuild

# build a VM with locally built distro pkgs installed
$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
	# HACK for ostree images: skip the rpm build/install
	if [ "$$TEST_OS" = "fedora-coreos" ] || [ "$$TEST_OS" = "rhel4edge" ]; then \
	    bots/image-customize --verbose --fresh --no-network --run-command 'mkdir -p /usr/local/share/cockpit' \
	                         --upload dist/:/usr/local/share/cockpit/podman \
	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
	else \
	    bots/image-customize --verbose --fresh $(VM_CUSTOMIZE_FLAGS) --build $(TARFILE) \
	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
	fi

# convenience target for the above
vm: $(VM_IMAGE)
	@echo $(VM_IMAGE)

# convenience target to print the filename of the test image
print-vm:
	@echo $(VM_IMAGE)

# run static code checks for python code
PYEXEFILES=$(shell git grep -lI '^#!.*python')

codecheck: test/static-code $(NODE_MODULES_TEST)
	test/static-code

# convenience target to setup all the bits needed for the integration tests
# without actually running them
prepare-check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference

# run the browser integration tests; skip check for SELinux denials
# this will run all tests/check-* and format them as TAP
check: prepare-check
	TEST_AUDIT_NO_SELINUX=1 test/common/run-tests ${RUN_TESTS_OPTIONS}

bots: $(COCKPIT_REPO_STAMP)
	test/common/make-bots

test/reference: test/common
	test/common/pixel-tests pull

# We want tools/node-modules to run every time package-lock.json is requested
# See https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:
$(NODE_MODULES_TEST): FORCE tools/node-modules
	tools/node-modules make_package_lock_json

.PHONY: all clean install devel-install devel-uninstall print-version dist rpm prepare-check check vm print-vm

=== debian/changelog ===
cockpit-podman (86-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:37:30 +0530

cockpit-podman (86-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 30 Mar 2024 12:29:42 +0100

=== debian/control ===
Source: cockpit-podman
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/cockpit-project/cockpit-podman
Vcs-Git: https://salsa.debian.org/debian/cockpit-podman.git
Vcs-Browser: https://salsa.debian.org/debian/cockpit-podman

Package: cockpit-podman
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cockpit-bridge,
         podman (>= 2.0.4),
Description: Cockpit component for Podman containers
 The Cockpit Web Console enables users to administer GNU/Linux servers using a
 web browser.
 .
 This package adds an user interface for Podman containers.

## cockpit-podman 87

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b09a5e373afeb1cd35b0683602eae25fde92430b # 313 + 42 commits
+COCKPIT_REPO_COMMIT = d39255f6f768cc1c37a5786be8e8dc9d8f4d5ed2 # 315 + 83 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -170,7 +170,7 @@
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
 	# HACK for ostree images: skip the rpm build/install
-	if [ "$$TEST_OS" = "fedora-coreos" ] || [ "$$TEST_OS" = "rhel4edge" ]; then \
+	if [ "$${TEST_OS%coreos}" != "$$TEST_OS" ] || [ "$${TEST_OS%bootc}" != "$$TEST_OS" ] || [ "$$TEST_OS" = "rhel4edge" ]; then \
 	    bots/image-customize --verbose --fresh --no-network --run-command 'mkdir -p /usr/local/share/cockpit' \
 	                         --upload dist/:/usr/local/share/cockpit/podman \
 	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \

=== debian/changelog ===
cockpit-podman (87-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 May 2024 12:40:55 +0000

cockpit-podman (87-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Apr 2024 07:39:34 +0200

## cockpit-podman 89

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-39
+TEST_OS = fedora-40
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -23,7 +23,7 @@
 
 VM_CUSTOMIZE_FLAGS =
 
-# HACK: https://github.com/containers/podman/issues/21896
+# HACK: https://github.com/containers/podman/issues/21896 and https://bugzilla.redhat.com/show_bug.cgi?id=2277954
 VM_CUSTOMIZE_FLAGS += --run-command 'nmcli con add type dummy con-name fake ifname fake0 ip4 1.2.3.4/24 gw4 1.2.3.1 >&2'
 
 # the following scenarios need network access
@@ -54,7 +54,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = d39255f6f768cc1c37a5786be8e8dc9d8f4d5ed2 # 315 + 83 commits
+COCKPIT_REPO_COMMIT = fe9a48e7962a5a423dc39e785305931821547836 # 317
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -76,7 +76,7 @@
 		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
 		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
 		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
-		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')
+		--from-code=UTF-8 $$(find src/ -name '*.[jt]s' -o -name '*.[jt]sx')
 
 po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
 	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')
@@ -171,7 +171,8 @@
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
 	# HACK for ostree images: skip the rpm build/install
 	if [ "$${TEST_OS%coreos}" != "$$TEST_OS" ] || [ "$${TEST_OS%bootc}" != "$$TEST_OS" ] || [ "$$TEST_OS" = "rhel4edge" ]; then \
-	    bots/image-customize --verbose --fresh --no-network --run-command 'mkdir -p /usr/local/share/cockpit' \
+	    bots/image-customize --verbose --fresh --no-network $(VM_CUSTOMIZE_FLAGS) \
+	                         --run-command 'mkdir -p /usr/local/share/cockpit' \
 	                         --upload dist/:/usr/local/share/cockpit/podman \
 	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
 	else \

=== debian/changelog ===
cockpit-podman (89-4~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jun 2024 06:58:55 +0200

cockpit-podman (89-4) unstable; urgency=medium

  * autopkgtest: Adjust DynamicUser= workaround.
    cockpit dropped the static adduser from its postinst and moved the hack
    into its autopkgtest. Follow suit. Also restrict the hack to running
    inside of a container, as it works fine on the host. Add bug reference.

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2024 08:08:55 +0200

cockpit-podman (89-3) unstable; urgency=medium

  * autopkgtest: Adjust for test running as root
  * autopkgtest: Add logs for debugging failure

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Jun 2024 06:22:34 +0200

cockpit-podman (89-2) unstable; urgency=medium

  * autopkgtest: Add workaround for stable kernel+LXC breaking DynamicUser=.
    Our autopkgtest fails in ci.debian.net with "Failed to update dynamic user
    credentials: Permission denied".
    This is a bug with the Debian 12 kernel and LXC, and doesn't reproduce
    when running on the host with the old kernel, or running LXC+kernel on
    testing. We don't even *actually* use a DynamicUser= there, it's statically
    allocated.
    Taken from https://salsa.debian.org/utopia-team/cockpit/-/commit/36c1e44

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 09:23:43 +0200

cockpit-podman (89-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 08 Jun 2024 10:28:02 +0200

cockpit-podman (88-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 06:52:22 +0200

## cockpit-podman 90

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = fe9a48e7962a5a423dc39e785305931821547836 # 317
+COCKPIT_REPO_COMMIT = c8fceb14235c17abfe9149aa7994a4aa186ae8cf # 318 + 27 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -70,13 +70,14 @@
 LINGUAS=$(basename $(notdir $(wildcard po/*.po)))
 
 po/$(PACKAGE_NAME).js.pot:
-	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ --language=C --keyword= \
+	xgettext --default-domain=$(PACKAGE_NAME) --output=- --language=C --keyword= \
 		--keyword=_:1,1t --keyword=_:1c,2,2t --keyword=C_:1c,2 \
 		--keyword=N_ --keyword=NC_:1c,2 \
 		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
 		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
 		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
-		--from-code=UTF-8 $$(find src/ -name '*.[jt]s' -o -name '*.[jt]sx')
+		--from-code=UTF-8 $$(find src/ -name '*.[jt]s' -o -name '*.[jt]sx') | \
+		sed '/^#/ s/, c-format//' > $@
 
 po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
 	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')

=== debian/changelog ===
cockpit-podman (90-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Jun 2024 07:23:00 +0200

cockpit-podman (90-1) unstable; urgency=medium

  * New upstream release:
    - Implement pull option for existing images

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2024 14:21:16 +0200

## cockpit-podman 91

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = c8fceb14235c17abfe9149aa7994a4aa186ae8cf # 318 + 27 commits
+COCKPIT_REPO_COMMIT = 53c8945c55af0465e76c3358289c7f0be648bb97 # 320 + 5 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (91-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 15 Jul 2024 10:21:02 +0200

cockpit-podman (91-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2024 11:49:19 +0200

## cockpit-podman 92

=== Makefile ===
--- 
+++ 
@@ -23,9 +23,6 @@
 
 VM_CUSTOMIZE_FLAGS =
 
-# HACK: https://github.com/containers/podman/issues/21896 and https://bugzilla.redhat.com/show_bug.cgi?id=2277954
-VM_CUSTOMIZE_FLAGS += --run-command 'nmcli con add type dummy con-name fake ifname fake0 ip4 1.2.3.4/24 gw4 1.2.3.1 >&2'
-
 # the following scenarios need network access
 ifeq ("$(TEST_SCENARIO)","updates-testing")
 VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
@@ -54,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 53c8945c55af0465e76c3358289c7f0be648bb97 # 320 + 5 commits
+COCKPIT_REPO_COMMIT = 07fddba43934fb256ec8da03812f081eab3baa18 # 321 + 117 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (92-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Aug 2024 11:14:39 +0200

## cockpit-podman 94

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 07fddba43934fb256ec8da03812f081eab3baa18 # 321 + 117 commits
+COCKPIT_REPO_COMMIT = e61c1de5b7a6069a1f4dec2ce871b2e912921878 # 322 + 42 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -136,12 +136,9 @@
 print-version:
 	@echo "$(VERSION)"
 
-# required for running integration tests; commander and ws are deps of chrome-remote-interface
+# required for running integration tests
 TEST_NPMS = \
-       node_modules/chrome-remote-interface \
-       node_modules/commander \
        node_modules/sizzle \
-       node_modules/ws \
        $(NULL)
 
 dist: $(TARFILE)

=== debian/changelog ===
cockpit-podman (94-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Sep 2024 09:30:05 +0200

cockpit-podman (94-1) unstable; urgency=medium

  * New upstream release:
    - Render ports are ranges in container integration tab
  * Add git-buildpackage configuration. In particular, enable pristine-tar.

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Sep 2024 17:55:33 +0200

## cockpit-podman 95

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = e61c1de5b7a6069a1f4dec2ce871b2e912921878 # 322 + 42 commits
+COCKPIT_REPO_COMMIT = 74f35694c68bc2de617051a7b8753527d7d55518 # 324 + 31 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (95-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2024 12:55:37 +0200

## cockpit-podman 96

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 74f35694c68bc2de617051a7b8753527d7d55518 # 324 + 31 commits
+COCKPIT_REPO_COMMIT = 2ba803af0119b100dfa625e143cba8d5b57a949c # 325 + 60 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (96-1) unstable; urgency=medium

  * New upstream release:
    - Pull images from registries without search API

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2024 14:56:12 +0000

## cockpit-podman 97

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 NODE_CACHE=$(RPM_NAME)-node-$(VERSION).tar.xz
 SPEC=$(RPM_NAME).spec
 PREFIX ?= /usr/local
-APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
+APPSTREAMFILE=org.cockpit_project.$(PACKAGE_NAME).metainfo.xml
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check for node_modules/
 NODE_MODULES_TEST=package-lock.json
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 2ba803af0119b100dfa625e143cba8d5b57a949c # 325 + 60 commits
+COCKPIT_REPO_COMMIT = fe196082855cd53d3fe9c4da91048b0a2ade6fe1 # 326 + 30 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (97-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 10:54:00 +0200

## cockpit-podman 98

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = fe196082855cd53d3fe9c4da91048b0a2ade6fe1 # 326 + 30 commits
+COCKPIT_REPO_COMMIT = 6d478ad51585d9d7f8c4567c155bd641635f284f # 327 + 33 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (98-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sat, 09 Nov 2024 20:57:55 +0100

cockpit-podman (98-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Nov 2024 14:10:57 +0100

## cockpit-podman 99

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6d478ad51585d9d7f8c4567c155bd641635f284f # 327 + 33 commits
+COCKPIT_REPO_COMMIT = 663f73d49f329cc6f00946bc461574fc60550988 # 328 + 58 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (99-2) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice on LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2024 00:04:56 +0000

cockpit-podman (99-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:13:16 +0100

## cockpit-podman 100

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-40
+TEST_OS = fedora-41
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -46,12 +46,11 @@
 COCKPIT_REPO_FILES = \
 	pkg/lib \
 	test/common \
-	test/static-code \
 	tools/node-modules \
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 663f73d49f329cc6f00946bc461574fc60550988 # 328 + 58 commits
+COCKPIT_REPO_COMMIT = fa91d69378d44616cf2b276fcbbcdd6b982b117a # 331 + 103 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -186,8 +185,8 @@
 # run static code checks for python code
 PYEXEFILES=$(shell git grep -lI '^#!.*python')
 
-codecheck: test/static-code $(NODE_MODULES_TEST)
-	test/static-code
+codecheck: test/common $(NODE_MODULES_TEST)
+	test/common/static-code
 
 # convenience target to setup all the bits needed for the integration tests
 # without actually running them

=== debian/changelog ===
cockpit-podman (100-1) unstable; urgency=medium

  * New upstream release:
   - Automatically start podman.socket
   - Identify quadlets by a 'service' label

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jan 2025 10:25:36 +0000

## cockpit-podman 101

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = fa91d69378d44616cf2b276fcbbcdd6b982b117a # 331 + 103 commits
+COCKPIT_REPO_COMMIT = 66625eea530a996367ea977113c427fd72eb834b # 332 + 53 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -76,10 +76,10 @@
 		sed '/^#/ s/, c-format//' > $@
 
 po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
-	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')
-
-po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
-	pkg/lib/manifest2po.js src/manifest.json -o $@
+	pkg/lib/html2po -o $@ $$(find src -name '*.html')
+
+po/$(PACKAGE_NAME).manifest.pot: $(COCKPIT_REPO_STAMP)
+	pkg/lib/manifest2po -o $@ src/manifest.json
 
 po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
 	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<

=== debian/changelog ===
cockpit-podman (101-1~bpo24.10.1) oracular-backports; urgency=medium

  * No-change backport to oracular

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Apr 2025 10:21:12 +0000

cockpit-podman (101-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Feb 2025 10:06:12 +0000

## cockpit-podman 102

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 66625eea530a996367ea977113c427fd72eb834b # 332 + 53 commits
+COCKPIT_REPO_COMMIT = d504e916577bf30c3300b8167781f8a399bdc642 # 333 + 28 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (102-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:34:48 +0000

## cockpit-podman 103

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = d504e916577bf30c3300b8167781f8a399bdc642 # 333 + 28 commits
+COCKPIT_REPO_COMMIT = c781ddf2a299d81d906e2380c7b31c7b948b831f # 334 + 28 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (103-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Mar 2025 08:18:36 +0100

cockpit-podman (103-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:05:00 +0100

## cockpit-podman 104

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = c781ddf2a299d81d906e2380c7b31c7b948b831f # 334 + 28 commits
+COCKPIT_REPO_COMMIT = 3d6571c07be873462cbaff18375604e8cc81b076 # 336 + 103 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (104-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6
    - Link service containers to service pages
    - Connect to other accounts

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:11:46 +0000

## cockpit-podman 105

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 3d6571c07be873462cbaff18375604e8cc81b076 # 336 + 103 commits
+COCKPIT_REPO_COMMIT = 4fd28cd74d471a2254b72848e017e15a0dba6c35 # 337 + 25 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (105-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2025 12:06:58 +0000

## cockpit-podman 106

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 4fd28cd74d471a2254b72848e017e15a0dba6c35 # 337 + 25 commits
+COCKPIT_REPO_COMMIT = c3930d9078a11407265af3972911f14755dd2575 # 338 + 20 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (106-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 May 2025 12:50:03 +0200

cockpit-podman (106-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 May 2025 05:31:11 +0000

## cockpit-podman 107

=== debian/changelog ===
cockpit-podman (107-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Jun 2025 05:23:58 +0200

## cockpit-podman 108

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-41
+TEST_OS = fedora-42
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -26,8 +26,8 @@
 # the following scenarios need network access
 ifeq ("$(TEST_SCENARIO)","updates-testing")
 VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
-else ifeq ("$(TEST_SCENARIO)","podman-next")
-VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y copr enable rhcontainerbot/podman-next >&2; dnf -y update --repo "copr*" >&2'
+else ifneq ($(TEST_COPR),)
+VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y copr enable $(TEST_COPR) >&2; dnf -y update --repo "copr*" >&2'
 else
 # default scenario does not install packages
 VM_CUSTOMIZE_FLAGS += --no-network
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = c3930d9078a11407265af3972911f14755dd2575 # 338 + 20 commits
+COCKPIT_REPO_COMMIT = 37bf0b9cdffcdf67e6ff5e0363f592b3a5a66e83 # 340
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (108-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Sat, 19 Jul 2025 04:55:39 +0200

cockpit-podman (108-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 07:55:38 +0200

## cockpit-podman 109

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 37bf0b9cdffcdf67e6ff5e0363f592b3a5a66e83 # 340
+COCKPIT_REPO_COMMIT = b3234b8d2be6a75ae1517cc3ad09519c99025122 # 341.1 + 14 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (109-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Thu, 31 Jul 2025 08:58:06 +0200

cockpit-podman (109-1) unstable; urgency=medium

  * New upstream bug fix release.
  * autopkgtest: Fix kernel version comparison.
    This was only supposed to apply to 6.1.x, not e.g. 6.15. The bug was
    fixed in 6.3.
  * autopkgtest: Show non-matching output.
    This makes failing tests easier to debug.
  * autopkgtest: Move cookie jar to home directory.
    Ubuntu's most recent AppArmor policy introduced a policy for curl which
    disallows reading files in /tmp.

 -- Martin Pitt <mpitt@debian.org>  Sat, 19 Jul 2025 05:06:15 +0200

## cockpit-podman 112

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,15 @@
 
 VM_CUSTOMIZE_FLAGS =
 
+ifeq ("$(TEST_SCENARIO)","ws-container")
+VM_CUSTOMIZE_FLAGS += --upload $(TARFILE):/var/tmp/ --script $(CURDIR)/test/vm-beiboot.install
+else ifneq (,$(or $(findstring coreos,$(TEST_OS)),$(findstring bootc,$(TEST_OS))))
+# HACK for ostree images: skip the rpm build/install
+VM_CUSTOMIZE_FLAGS += --run-command 'mkdir -p /usr/local/share/cockpit' --upload dist/:/usr/local/share/cockpit/podman
+else
+VM_CUSTOMIZE_FLAGS += --build $(TARFILE) --script $(CURDIR)/test/vm-ws-package.install
+endif
+
 # the following scenarios need network access
 ifeq ("$(TEST_SCENARIO)","updates-testing")
 VM_CUSTOMIZE_FLAGS += --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
@@ -50,7 +59,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b3234b8d2be6a75ae1517cc3ad09519c99025122 # 341.1 + 14 commits
+COCKPIT_REPO_COMMIT = 3f331895b9fece4b22025ea611532e5c53ae8755 # 344 + 13 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -163,16 +172,7 @@
 
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
-	# HACK for ostree images: skip the rpm build/install
-	if [ "$${TEST_OS%coreos}" != "$$TEST_OS" ] || [ "$${TEST_OS%bootc}" != "$$TEST_OS" ] || [ "$$TEST_OS" = "rhel4edge" ]; then \
-	    bots/image-customize --verbose --fresh --no-network $(VM_CUSTOMIZE_FLAGS) \
-	                         --run-command 'mkdir -p /usr/local/share/cockpit' \
-	                         --upload dist/:/usr/local/share/cockpit/podman \
-	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
-	else \
-	    bots/image-customize --verbose --fresh $(VM_CUSTOMIZE_FLAGS) --build $(TARFILE) \
-	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
-	fi
+	bots/image-customize --verbose --fresh $(VM_CUSTOMIZE_FLAGS) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)

=== debian/changelog ===
cockpit-podman (112-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Aug 2025 05:17:43 +0000

cockpit-podman (112-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Aug 2025 08:35:44 +0000

## cockpit-podman 113

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 3f331895b9fece4b22025ea611532e5c53ae8755 # 344 + 13 commits
+COCKPIT_REPO_COMMIT = 3ef9f72a29608b97d66a6073166ed6b09d452b6f # 345 + 26 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (113-1) unstable; urgency=medium

  * New upstream release:
   - Sortable Images table

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Sep 2025 07:54:15 +0000

=== debian/tests/control ===
Tests: smoke
Depends: @, cockpit-ws, curl, adduser
Restrictions: needs-root, isolation-container

## cockpit-podman 114

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 3ef9f72a29608b97d66a6073166ed6b09d452b6f # 345 + 26 commits
+COCKPIT_REPO_COMMIT = 6f8dbc47501c5255ff9351b771c84f06f729d14d # 347 + 19 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (114-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Oct 2025 07:24:37 +0200

cockpit-podman (114-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Oct 2025 21:24:33 +0200

## cockpit-podman 116

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6f8dbc47501c5255ff9351b771c84f06f729d14d # 347 + 19 commits
+COCKPIT_REPO_COMMIT = d32340cd69824da5dd27549a4eed889d1d83b3c5 # 349
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -164,6 +164,11 @@
 		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
 		packaging/arch/PKGBUILD packaging/debian/changelog dist/
 
+$(NODE_CACHE): $(NODE_MODULES_TEST)
+	tar --xz $(TAR_ARGS) -cf $@ --exclude .git node_modules
+
+node-cache: $(NODE_CACHE)
+
 # convenience target for developers
 rpm: $(TARFILE)
 	rpmbuild -tb --define "_topdir $(CURDIR)/tmp/rpmbuild" $(TARFILE)

=== debian/changelog ===
cockpit-podman (116-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Sun, 02 Nov 2025 08:56:22 +0100

cockpit-podman (116-1) unstable; urgency=medium

  * New upstream release:
    - List stopped quadlets
    - Support stopping/starting/restart quadlets

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Oct 2025 11:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cockpit-podman
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
+Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-podman
 Vcs-Git: https://salsa.debian.org/debian/cockpit-podman.git

## cockpit-podman 118

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-42
+TEST_OS = fedora-43
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -14,8 +14,8 @@
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check for node_modules/
 NODE_MODULES_TEST=package-lock.json
-# one example file in dist/ from bundler to check if that already ran
-DIST_TEST=dist/manifest.json
+# build.js ran in non-watch mode
+DIST_TEST=runtime-npm-modules.txt
 # one example file in pkg/lib to check if it was already checked out
 COCKPIT_REPO_STAMP=pkg/lib/cockpit-po-plugin.js
 # common arguments for tar, mostly to make the generated tarballs reproducible
@@ -29,7 +29,7 @@
 # HACK for ostree images: skip the rpm build/install
 VM_CUSTOMIZE_FLAGS += --run-command 'mkdir -p /usr/local/share/cockpit' --upload dist/:/usr/local/share/cockpit/podman
 else
-VM_CUSTOMIZE_FLAGS += --build $(TARFILE) --script $(CURDIR)/test/vm-ws-package.install
+VM_CUSTOMIZE_FLAGS += --upload $(NODE_CACHE):/var/tmp --build $(TARFILE) --script $(CURDIR)/test/vm-ws-package.install
 endif
 
 # the following scenarios need network access
@@ -59,7 +59,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = d32340cd69824da5dd27549a4eed889d1d83b3c5 # 349
+COCKPIT_REPO_COMMIT = 30c435c2d83b2b4b656c30b792d4c28532062877 # 351 + 13 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -102,8 +102,8 @@
 #
 # Build/Install/dist
 #
-$(SPEC): packaging/$(SPEC).in $(NODE_MODULES_TEST)
-	provides=$$(npm ls --omit dev --package-lock-only --depth=Infinity | grep -Eo '[^[:space:]]+@[^[:space:]]+' | sort -u | sed 's/^/Provides: bundled(npm(/; s/\(.*\)@/\1)) = /'); \
+$(SPEC): packaging/$(SPEC).in $(DIST_TEST)
+	provides=$$(awk '{print "Provides: bundled(npm(" $$1 ")) = " $$2}' runtime-npm-modules.txt); \
 	awk -v p="$$provides" '{gsub(/%{VERSION}/, "$(VERSION)"); gsub(/%{NPM_PROVIDES}/, p)}1' $< > $@
 
 packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
@@ -112,6 +112,9 @@
 packaging/debian/changelog: packaging/debian/changelog.in
 	sed 's/VERSION/$(VERSION)/' $< > $@
 
+packaging/debian/copyright: packaging/debian/copyright.template $(NODE_CACHE)
+	packaging/build-debian-copyright $(NODE_CACHE) > $@
+
 $(DIST_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json build.js
 	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) ./build.js
 
@@ -120,8 +123,9 @@
 
 clean:
 	rm -rf dist/
-	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
+	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright
 	rm -f po/LINGUAS
+	rm -f metafile.json runtime-npm-modules.txt
 
 install: $(DIST_TEST) po/LINGUAS
 	mkdir -p $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
@@ -144,11 +148,6 @@
 print-version:
 	@echo "$(VERSION)"
 
-# required for running integration tests
-TEST_NPMS = \
-       node_modules/sizzle \
-       $(NULL)
-
 dist: $(TARFILE)
 	@ls -1 $(TARFILE)
 
@@ -156,16 +155,16 @@
 # we don't ship most node_modules for license and compactness reasons, only the ones necessary for running tests
 # we ship a pre-built dist/ (so it's not necessary) and ship package-lock.json (so that node_modules/ can be reconstructed if necessary)
 $(TARFILE): export NODE_ENV ?= production
-$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
+$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright
 	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
 	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
 		--exclude '*.in' --exclude test/reference \
 		$$(git ls-files | grep -v node_modules) \
-		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
-		packaging/arch/PKGBUILD packaging/debian/changelog dist/
+		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(DIST_TEST) $(SPEC) \
+		packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright dist/
 
 $(NODE_CACHE): $(NODE_MODULES_TEST)
-	tar --xz $(TAR_ARGS) -cf $@ --exclude .git node_modules
+	tools/node-modules runtime-tar $(NODE_CACHE)
 
 node-cache: $(NODE_CACHE)
 
@@ -176,7 +175,7 @@
 	rm -r tmp/rpmbuild
 
 # build a VM with locally built distro pkgs installed
-$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
+$(VM_IMAGE): $(TARFILE) $(NODE_CACHE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
 	bots/image-customize --verbose --fresh $(VM_CUSTOMIZE_FLAGS) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above

=== debian/changelog ===
cockpit-podman (118-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Nov 2025 09:24:45 +0100

cockpit-podman (118-1) unstable; urgency=medium

  * debian/watch: Add extra upstream release node tarball
  * New upstream release:
    - Bug fixes
    - Support rebuilding bundle in Debian/Fedora downstream distributions

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Nov 2025 11:18:38 +0100

## cockpit-podman 119.1

=== Makefile ===
--- 
+++ 
@@ -56,10 +56,11 @@
 	pkg/lib \
 	test/common \
 	tools/node-modules \
+	tools/build-debian-copyright \
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 30c435c2d83b2b4b656c30b792d4c28532062877 # 351 + 13 commits
+COCKPIT_REPO_COMMIT = 6be0d41d97c7a2c21ef4586f854e6ab39f3051c7 # 352 + 55 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -113,7 +114,7 @@
 	sed 's/VERSION/$(VERSION)/' $< > $@
 
 packaging/debian/copyright: packaging/debian/copyright.template $(NODE_CACHE)
-	packaging/build-debian-copyright $(NODE_CACHE) > $@
+	tools/build-debian-copyright $< $(NODE_CACHE) > $@
 
 $(DIST_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json build.js
 	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) ./build.js

=== debian/changelog ===
cockpit-podman (119.1-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Dec 2025 07:02:48 +0000

cockpit-podman (119.1-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2025 06:15:46 +0000

## cockpit-podman 120

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6be0d41d97c7a2c21ef4586f854e6ab39f3051c7 # 352 + 55 commits
+COCKPIT_REPO_COMMIT = a75b73690e6bb5f88f0adf3369db8fbbcfe2775a # 354 + 86 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (120-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Sat, 31 Jan 2026 09:16:04 +0100

cockpit-podman (120-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2026 10:10:30 +0100

## cockpit-podman 121

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a75b73690e6bb5f88f0adf3369db8fbbcfe2775a # 354 + 86 commits
+COCKPIT_REPO_COMMIT = 15ffad18ef1be8109de390419c8e71def0d752b5 # 355 + 54 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-podman (121-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Feb 2026 07:10:04 +0100

cockpit-podman (121-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Feb 2026 15:44:35 +0100
